package coolCalendar;

import java.util.*;
import java.io.*;

/**
 * Simple interface to deal with calendar references 
 * 
 */
public class CalendarInFile implements CalendarReference,Serializable
{
    private String FileName = null;
    private transient CalendarDB cdb = null;

    public CalendarInFile(String fn){
	FileName = fn;
    }

    public CalendarDB getCalendarDB(){

	if(cdb == null){
	    cdb= new CalendarDB(FileName);
	    cdb.restore();
	}
	return cdb;
    }    

    public boolean isModified(){
	return (cdb == null)? false:true;
    }

}
