package coolCalendar;

import java.util.*;

/**
 * A data model for the CalendarPanel; any object that implements
 * this interface can have its Appointable objects displayed in
 * the CalendarPanel.
 */
public interface CalendarModel
{
    public boolean hasAppointments(Date from, Date to);
    public Appointable[] getAppointments(Date from, Date to);
    public void addCalendarModelListener(CalendarModelListener l);
    public void removeCalendarModelListener(CalendarModelListener l);
}
