package coolCalendar;

/**
 * This abstract class is used for definitions.
 */
public abstract class Definition
{
	static final String HomeDir = new String(System.getProperty("user.home")+"/.coolCalendar");
	static final String ImagesDir = HomeDir + "/images";
	static final String UsersDir = HomeDir + "/users";
	static final String UsersFile = HomeDir + "/users.db";
        static final String SharedFile = HomeDir + "/shared.db";
	static final String AuthentificationImage = ImagesDir + "/auth.jpg";
	static final String AddNewUserImage = ImagesDir + "/adduser.jpg";

	static final String getUserDir(String email)
		{
			return HomeDir + "/users/." + email + ".db";
		}
}
